Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.text
Interface AttributedCharacterIterator

All Superinterfaces:
  CharacterIterator, Cloneable

    public interface AttributedCharacterIterator

extends CharacterIterator

An AttributedCharacterIterator allows iteration through both text and related attribute information.

An attribute is a key/value pair, identified by the key. No two attributes on a given character can have the same key.

The values for an attribute are immutable, or must not be mutated by clients or storage. They are always passed by reference, and not cloned.

A run with respect to an attribute is a maximum text range for which:

- the attribute is undefined or null for the entire range, or
- the attribute value is defined and has the same non-null value for the entire range.

A run with respect to a set of attributes is a maximum text range for which this condition is met for each member attribute.

The returned indexes are limited to the range of the iterator.

The returned attribute information is limited to runs that contain the current character.

Attribute keys are instances of AttributedCharacterIterator.Attribute and its subclasses, such as java.awt.font.TextAttribute.

Since:
  1.2
See Also:
  `AttributedCharacterIterator.Attribute`, `TextAttribute`, `AttributedString`, `Annotation`

Nested Class Summary
`static class` | `AttributedCharacterIterator.Attribute` Defines attribute keys that are used to identify text attributes.

Field Summary

Fields inherited from interface java.text.CharacterIterator
`DONE`

Method Summary
`Set<AttributedCharacterIterator.Attribute>` | `getAllAttributeKeys()` Returns the keys of all attributes defined on the iterator's text range.
`Object` | `getAttribute(AttributedCharacterIterator.Attribute attribute)` Returns the value of the named attribute for the current character.
`Map<AttributedCharacterIterator.Attribute,Object>` | `getAttributes()` Returns a map with the attributes defined on the current character.
`int` | `getRunLimit()` Returns the index of the first character following the run with respect to all attributes containing the current character.
`int` | `getRunLimit(AttributedCharacterIterator.Attribute attribute)` Returns the index of the first character following the run with respect to the given attribute containing the current character.
`int` | `getRunLimit(Set<? extends AttributedCharacterIterator.Attribute> attributes)` Returns the index of the first character following the run with respect to the given attributes containing the current character.
`int` | `getRunStart()` Returns the index of the first character of the run with respect to all attributes containing the current character.
`int` | `getRunStart(AttributedCharacterIterator.Attribute attribute)` Returns the index of the first character of the run with respect to the given attribute containing the current character.
`int` | `getRunStart(Set<? extends AttributedCharacterIterator.Attribute> attributes)` Returns the index of the first character of the run with respect to the given attributes containing the current character.

Methods inherited from interface java.text.CharacterIterator
`clone, current, first, getBeginIndex, getEndIndex, getIndex, last, next, previous, setIndex`

Method Detail

### getRunStart

    int getRunStart()

  Returns the index of the first character of the run with respect to all attributes containing the current character.

### getRunStart

    int getRunStart(AttributedCharacterIterator.Attribute attribute)

  Returns the index of the first character of the run with respect to the given attribute containing the current character.

### getRunStart

    int getRunStart(Set<? extends AttributedCharacterIterator.Attribute> attributes)

  Returns the index of the first character of the run with respect to the given attributes containing the current character.

### getRunLimit

    int getRunLimit()

  Returns the index of the first character following the run with respect to all attributes containing the current character.

### getRunLimit

    int getRunLimit(AttributedCharacterIterator.Attribute attribute)

  Returns the index of the first character following the run with respect to the given attribute containing the current character.

### getRunLimit

    int getRunLimit(Set<? extends AttributedCharacterIterator.Attribute> attributes)

  Returns the index of the first character following the run with respect to the given attributes containing the current character.

### getAttributes

    Map<AttributedCharacterIterator.Attribute,Object> getAttributes()

  Returns a map with the attributes defined on the current character.

### getAttribute

    Object getAttribute(AttributedCharacterIterator.Attribute attribute)

  Returns the value of the named attribute for the current character. Returns null if the attribute is not defined.

  Parameters:
    `attribute` - the key of the attribute whose value is requested.

### getAllAttributeKeys

    Set<AttributedCharacterIterator.Attribute> getAllAttributeKeys()

  Returns the keys of all attributes defined on the iterator's text range. The set is empty if no attributes are defined.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.